Subject: [Sigtran] M3UA: Question about ITU Point Code Format

From: "LeoBloom1" <[email-masked]>
Date: Sun, 15 Jun 2003 10:25:24 -0500

Hello,

I have a question about the Point Code representation for ITU in M3UA. 
I've looked through the mailing list threads and have not seen a reference so I wanted to pose the question - though I suspect it may be a simple one, I cannot quite get clarity from RFC 3332/IG based on my analysis:

In the Affected Point Code, etc., parameters in M3UA messages, do the six bits in the Most Significant Byte of the ITU Point Code correspond to the same six bits in the Most Significant Byte of the M3UA Point Code, and the eight bits in the Least Significant Byte correspond to the Least Significant Byte in M3UA?

If we have the ITU Point Code 7-255-7 represented in hex (order of transmission is displayed left to right) it will appear as FF 3F since the Least Significant Byte is transmitted first (reference section 3.4.2.1 of ITU-T Q.713).  {The binary representation is 11111111 00111111.}

-In M3UA the Most Significant Byte is transmitted first so would the Point Code example above (7-255-7) appear as 3F FF if represented as hex? {The binary representation might be 00111111 11111111.}

Thanks in advance for any feedback.
Regards,
Charles Hastings

---

From: [email-masked]
Date: Thu, 19 Jun 2003 10:00:05 +0200

Brian,

Leo asked about byte transmission order and the order of bytes transmitted is still 00 00 3F FF for M3UA and FF 3F for SS7, regardless of how you read it.

Joyce

> -----Original Message-----
> From: Brian F. G. Bidulock [mailto:[email-masked]]
> Sent: 19 June 2003 08:42
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: Re: [Sigtran] M3UA: Question about ITU Point Code Format
> 
> 
> joyce_archibald,
> 
> [email-masked] wrote:                            
>              (Thu, 19 Jun 2003 08:21:29)
> > Hi Leo
> >  
> > The PointCodes in M3UA occupy 4 bytes, the MSB is a mask 
> and the next 3
> > bytes contain the point code, right justified. Thus the ITU 
> point code of
> > 7-255-7 would be transmitted as 00 00 3F FF. As you say the 
> same pointcode
> > on SS7 would be transmitted as
> > FF 3F.
>   ^^^^^
> 
> Only if you like to read from left to right and lsbit to 
> msbit!  It is custom
> in SS7 to read from rigth to left and lsbit to msbit, in 
> which case it would
> be:  3F FF as well.
> 
> --brian
> 
> 
> 
> >  
> > Cheers,
> > Joyce
> > 
> > ==================================================================
> > Joyce Archibald, TSD R&D     | Phone:    +44 (0) 131 3317521
> > Agilent Technologies UK Ltd  | Telnet:   313 2521
> > South Queensferry,           | Mailstop: SQFRD3A
> > EH30 9TG, Scotland.          | E-mail: [email-masked]
> > ================================================================== 
> > 
> >  
> > 
> > -----Original Message-----
> > From: LeoBloom1 [mailto:[email-masked]]
> > Sent: 15 June 2003 16:25
> > To: [email-masked]
> > Subject: [Sigtran] M3UA: Question about ITU Point Code Format
> > 
> > 
> > Hello,
> >  
> > I've looked through the mailing list threads and have not 
> seen a reference so I wanted to pose the question - though I 
> suspect it may be a simple one, I cannot quite get clarity 
> from RFC 3332/IG based on my analysis:
> >  
> > In the Affected Point Code, etc., parameters in M3UA 
> messages, do the six bits in the Most Significant Byte of the 
> ITU Point Code correspond to the same six bits in the Most 
> Significant Byte of the M3UA Point Code, and the eight bits 
> in the Least Significant Byte correspond to the Least 
> Significant Byte in M3UA?
> > 
> > If we have the ITU Point Code 7-255-7 represented in hex 
> (order of transmission is displayed left to right) it will 
> appear as FF 3F since the Least Significant Byte is 
> transmitted first (reference section 3.4.2.1 of ITU-T Q.713). 
>  {The binary representation is 11111111 00111111.}
> > 
> > -In M3UA the Most Significant Byte is transmitted first so 
> would the Point Code example above (7-255-7) appear as 3F FF 
> if represented as hex? {The binary representation might be 
> 00111111 11111111.}
> >  
> > _______________________________________________
> > Sigtran mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/sigtran
> 
> -- 
> Brian F. G. Bidulock
> [email-masked]
> http://www.openss7.org/
> 

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran